MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029559Community[OCCT] OCCT:Samplespublic2018-03-09 11:162018-06-29 21:21
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029559: Samples - wrong copyright statement in FuncDemo
DescriptionThe problem has been reported on OCC forum, in context of packaging OCCT 7.2.0 for Debian: https://www.opencascade.com/content/packaging-again-debian [^]

Some source files in samples/qt/FuncDemo, apparently borrowed from Qt samples, bear copyright of Trolltech SA with reference to Qt license agreement. These files should be either removed or (if actual license allows -- to be checked) updated so as to avoid confusing statements.

samples/qt/FuncDemo/src/edge.cpp
samples/qt/FuncDemo/src/edge.h
samples/qt/FuncDemo/src/graphwidget.cpp
samples/qt/FuncDemo/src/graphwidget.h
samples/qt/FuncDemo/src/main.cpp
samples/qt/FuncDemo/src/mainwindow.cpp
samples/qt/FuncDemo/src/mainwindow.h
samples/qt/FuncDemo/src/node.cpp
samples/qt/FuncDemo/src/node.h

Note that these files have been introduced by 0024665
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024665closedbugmaster Open CASCADE A sample for advanced function mechanism 

-  Notes
(0074449)
git (administrator)
2018-03-13 18:16

Branch CR29559 has been created by apn.

SHA-1: dd0fae1d0f3ad5faea55e78dee07d735730a2c61


Detailed log of new commits:

Author: apn
Date: Tue Mar 13 18:16:39 2018 +0300

    0029559: Samples - wrong copyright statement in FuncDemo
    
    Update FuncDemo sample according to new elasticnodes example in Qt.
(0074451)
apn (administrator)
2018-03-13 18:36

Dear vro, could you please review CR29559.
(0074458)
vro (developer)
2018-03-14 09:32

Many thanks for fast and excellent work!
(0074616)
git (administrator)
2018-03-19 10:05

Branch CR29559 has been deleted by kgv.

SHA-1: dd0fae1d0f3ad5faea55e78dee07d735730a2c61

- Related Changesets
occt: master 967905a3
Timestamp: 2018-03-13 15:16:39
Author: apn
Committer: bugmaster
Details ] Diff ]
0029559: Samples - wrong copyright statement in FuncDemo

Update FuncDemo sample according to new elasticnodes example in Qt.
mod - samples/qt/FuncDemo/src/edge.cpp Diff ] File ]
mod - samples/qt/FuncDemo/src/edge.h Diff ] File ]
mod - samples/qt/FuncDemo/src/graphwidget.cpp Diff ] File ]
mod - samples/qt/FuncDemo/src/graphwidget.h Diff ] File ]
mod - samples/qt/FuncDemo/src/main.cpp Diff ] File ]
mod - samples/qt/FuncDemo/src/mainwindow.cpp Diff ] File ]
mod - samples/qt/FuncDemo/src/mainwindow.h Diff ] File ]
mod - samples/qt/FuncDemo/src/node.cpp Diff ] File ]
mod - samples/qt/FuncDemo/src/node.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-09 11:16 abv New Issue
2018-03-09 11:16 abv Assigned To => bugmaster
2018-03-09 11:17 abv Relationship added child of 0024665
2018-03-09 11:17 abv Assigned To bugmaster => vro
2018-03-09 11:17 abv Status new => assigned
2018-03-09 11:20 abv Description Updated View Revisions
2018-03-09 11:43 abv Relationship added related to 0024677
2018-03-13 18:16 git Note Added: 0074449
2018-03-13 18:36 apn Test case number => Not needed
2018-03-13 18:36 apn Note Added: 0074451
2018-03-13 18:36 apn Status assigned => resolved
2018-03-14 09:32 vro Note Added: 0074458
2018-03-14 09:32 vro Assigned To vro => bugmaster
2018-03-14 09:32 vro Status resolved => reviewed
2018-03-14 16:09 bugmaster Status reviewed => tested
2018-03-18 13:21 bugmaster Changeset attached => occt master 967905a3
2018-03-18 13:21 bugmaster Status tested => verified
2018-03-18 13:21 bugmaster Resolution open => fixed
2018-03-19 10:05 git Note Added: 0074616
2018-06-29 21:16 user533 Fixed in Version => 7.3.0
2018-06-29 21:21 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker